Bug 184453 - [MAINTAINER] devel/ice: update to 3.5.1 (also devel/py-ice and devel/php5-ice)
Summary: [MAINTAINER] devel/ice: update to 3.5.1 (also devel/py-ice and devel/php5-ice)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Matthias Andree
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-02 19:20 UTC by Michael Gmelin
Modified: 2014-01-09 02:00 UTC (History)
0 users

See Also:


Attachments
Ice-3.5.1.patch (56.65 KB, patch)
2013-12-02 19:20 UTC, Michael Gmelin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Gmelin 2013-12-02 19:20:00 UTC
The attached patch modifies devel/ice, devel/py-ice and devel/php5-ice.
It accomplishes the following:
- Update Ice to 3.5.1.
- Stageify all three ports [1].
- Convert py-ice and php5-ice to slave ports.
- Use ICONV_LIB, so it builds ok with native iconv [2].
- Workaround for FreeBSD 10's static destructor order
  disaster [3].
- Install man pages.
- Allow package build for non-root users.

Ports have been tested on:
- FreeBSD 9.1 + pkg_tools
- FreeBSD 9.2 + pkg (aka pkgng)
- FreeBSD 10.0-BETA2

Checked for correct build and potential leftovers using
make stage && make check-orphans && make package (root and non-root).

Also verified clean build using poudriere (PREFIX != LOCALBASE).

[1] https://wiki.freebsd.org/ports/StageDir
[2] http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/using-iconv.html
[3] http://lists.freebsd.org/pipermail/freebsd-ports/2013-June/084580.html

Generated with FreeBSD Port Tools 0.99_7 (mode: update, diff: suffix)

Fix: Apply the attached patch:

cd /usr/ports
patch </path/to/Ice-3.5.1.patch
Comment 1 Matthias Andree freebsd_committer 2014-01-08 22:24:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mandree

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-01-09 01:57:33 UTC
Author: mandree
Date: Thu Jan  9 01:57:20 2014
New Revision: 339196
URL: http://svnweb.freebsd.org/changeset/ports/339196

Log:
  Overhaul devel/ice, devel/py-ice and devel/php5-ice:
  
  Changes from [*]:
  - Update Ice to 3.5.1.
  - Stageify all three ports.
  - Convert py-ice and php5-ice to slave ports.
  - Use ICONV_LIB, so it builds ok with native iconv [1].
  - Workaround for FreeBSD 10's static destructor order disaster [2].
  - Install man pages.
  - Allow package build for non-root users.
  [1] http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/using-iconv.html
  [2] http://lists.freebsd.org/pipermail/freebsd-ports/2013-June/084580.html
  
  Changes from [3]:
  - Convert LIB_DEPENDS to new syntax.
  - USE_GMAKE -> USES
  - list Berkeley DB 6 invalid, requires upstream changes, but upstream is
    loathe to make those due to licensing change in BDB
  - remove BDB 2 and 3 from invalid listing, we no longer have these ports
  
  PR:		ports/184453 [*]
  PR:		ports/185569 [3]
  Submitted by:	Michael Gmelin (maintainer) [*]
  Submitted by:	mandree [3]
  Approved by:	Michael Gmelin (maintainer) [3]

Added:
  head/devel/ice/files/patch-php-Makefile   (contents, props changed)
  head/devel/ice/files/patch-php-config-Make.rules.php   (contents, props changed)
  head/devel/ice/files/patch-php-lib-Makefile   (contents, props changed)
  head/devel/ice/files/patch-py-Makefile   (contents, props changed)
  head/devel/ice/files/patch-py-config-Make.rules   (contents, props changed)
  head/devel/ice/files/patch-py-python-Makefile   (contents, props changed)
  head/devel/ice/files/patch-py-test-Ice-info-AllTests.py   (contents, props changed)
Deleted:
  head/devel/ice/files/patch-cpp-include-IceUtil-Config.h
  head/devel/ice/files/patch-cpp-src-IceGrid-FileCache.cpp
  head/devel/ice/files/patch-cpp-test-Ice-properties-run.py
  head/devel/php5-ice/distinfo
  head/devel/php5-ice/files/Make.rules.FreeBSD
  head/devel/php5-ice/files/patch-config_Make.common.rules
  head/devel/php5-ice/files/patch-cpp-config-Make.rules
  head/devel/php5-ice/files/patch-php-config-Make.rules.php
  head/devel/php5-ice/files/patch-php-lib-Makefile
  head/devel/php5-ice/files/patch-php-src-IcePHP-Communicator.cpp
  head/devel/php5-ice/files/patch-php-src-IcePHP-Connection.cpp
  head/devel/php5-ice/files/patch-php-src-IcePHP-Endpoint.cpp
  head/devel/php5-ice/files/patch-php-src-IcePHP-Init.cpp
  head/devel/php5-ice/files/patch-php-src-IcePHP-Logger.cpp
  head/devel/php5-ice/files/patch-php-src-IcePHP-Properties.cpp
  head/devel/php5-ice/files/patch-php-src-IcePHP-Proxy.cpp
  head/devel/py-ice/distinfo
  head/devel/py-ice/files/Make.rules.FreeBSD
  head/devel/py-ice/files/patch-config-Make.common.rules
  head/devel/py-ice/files/patch-cpp-include-IceUtil-Config.h
  head/devel/py-ice/files/patch-py-config-Make.rules
  head/devel/py-ice/files/patch-py-python-Makefile
  head/devel/py-ice/files/patch-py-test-Ice-info-AllTests.py
  head/devel/py-ice/files/patch-py-test-Ice-properties-run.py
Modified:
  head/devel/ice/Makefile
  head/devel/ice/distinfo
  head/devel/ice/files/Make.rules.FreeBSD
  head/devel/ice/files/patch-config-Make.common.rules
  head/devel/ice/files/patch-cpp-Makefile
  head/devel/ice/files/patch-cpp-allTests.py
  head/devel/ice/files/patch-cpp-src-slice2cpp-Gen.cpp
  head/devel/ice/pkg-plist
  head/devel/php5-ice/Makefile
  head/devel/php5-ice/pkg-plist
  head/devel/py-ice/Makefile
  head/devel/py-ice/pkg-plist

Modified: head/devel/ice/Makefile
==============================================================================
--- head/devel/ice/Makefile	Thu Jan  9 00:21:10 2014	(r339195)
+++ head/devel/ice/Makefile	Thu Jan  9 01:57:20 2014	(r339196)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=		Ice
-PORTVERSION=		3.5.0
+PORTVERSION=		3.5.1
 CATEGORIES=		devel
 MASTER_SITES=		http://download.zeroc.com/Ice/3.5/
 
@@ -11,31 +11,31 @@ COMMENT=		Modern alternative to object m
 
 LICENSE=		GPLv2
 
-LIB_DEPENDS=		expat:${PORTSDIR}/textproc/expat2 \
-			mcpp:${PORTSDIR}/devel/mcpp
+LIB_DEPENDS=		libexpat.so:${PORTSDIR}/textproc/expat2 \
+			libmcpp.so:${PORTSDIR}/devel/mcpp
 
-OPTIONS_DEFINE=		DEBUG DEMOS DOCS TESTS
-OPTIONS_DEFAULT=	DEMOS TESTS
-TESTS_DESC=		Build and run tests (requires lang/python)
-DEMOS_DESC=		Build demos
+OPTIONS_DEFINE?=	DEBUG DEMOS DOCS TESTS
+OPTIONS_DEFAULT?=	DEMOS TESTS
+TESTS_DESC?=		Build and run tests (requires lang/python)
+DEMOS_DESC?=		Build demos
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MTESTS}
 USE_PYTHON_BUILD=	yes
 .endif
 
-USE_GMAKE=		yes
-USES=			iconv
+USES=			iconv gmake
 USE_BDB=		5
-INVALID_BDB_VER=	2 3 40 41 42 43 44 46 47 48
+INVALID_BDB_VER=	40 41 42 43 44 46 47 48 6
 USE_LDCONFIG=		yes
-BUILD_WRKSRC=		${WRKSRC}/cpp
-INSTALL_WRKSRC=		${WRKSRC}/cpp
+BUILD_WRKSRC?=		${WRKSRC}/cpp
+INSTALL_WRKSRC?=	${WRKSRC}/cpp
 
 CFLAGS+=		-ftemplate-depth-128 -fPIC -DPIC -Wall -D_REENTRANT -I${LOCALBASE}/include
-.if !${PORT_OPTIONS:MDEBUG}
+.if ${PORT_OPTIONS:MDEBUG}
+CFLAGS+=		-g
+.else
 CFLAGS+=		-DNDEBUG
 .endif
 
@@ -47,12 +47,8 @@ BROKEN=			does not compile on ia64
 BROKEN=			fails to link
 .endif
 
-.if ${OSVERSION} >= 1000000
-BROKEN=			Does not work on FreeBSD 10
-.endif
-
 .if ((${ARCH} != i386) && (${ARCH} != powerpc))
-MAKE_ENV=		LP64=yes
+MAKE_ENV+=		LP64=yes
 .endif
 
 .if !${PORT_OPTIONS:MTESTS}
@@ -64,13 +60,41 @@ MAKE_ENV+=		NODEMOS=yes
 .endif
 
 .if !${PORT_OPTIONS:MDOCS}
-MAKE_ENV+=		NOPORTDOCS=yes
+MAKE_ENV+=		NOICEDOCS=yes
+.endif
+
+.include <bsd.port.pre.mk>
+
+.if defined(PYTHON_REL) && ${PYTHON_REL} >= 320
+PLIST_SUB+=	PYTHON32=""
+PLIST_SUB+=	PYTHONPRE32="@comment "
+.else
+PLIST_SUB+=	PYTHON32="@comment "
+PLIST_SUB+=	PYTHONPRE32=""
+.endif
+
+PLIST_SUB+=	PYTHON_SUFFIX=${PYTHON_SUFFIX}
+
+.if ${PREFIX} != ${LOCALBASE} && !defined(NO_STAGE)
+PYSITEDIR=	${PREFIX}${PYTHON_SITELIBDIR:S|^${LOCALBASE}||}
+.else
+PYSITEDIR=	${PYTHON_SITELIBDIR}
+.endif
+
+.if ${PORT_OPTIONS:MNAMESPACES}
+MAKE_ARGS+=	USE_NAMESPACES=yes
+PLIST_SUB+=	NAMESPACES=""
+PLIST_SUB+=	NONAMESPACES="@comment "
+.else
+PLIST_SUB+=	NAMESPACES="@comment "
+PLIST_SUB+=	NONAMESPACES=""
 .endif
 
 post-patch:
-	@${SED} 's|%%PREFIX%%|${PREFIX}|g; \
-		s|%%DATADIR%%|${DATADIR}|g; \
-		s|%%DOCSDIR%%|${DOCSDIR}|g; \
+	@${SED} 's|%%PREFIX%%|${STAGEDIR}${PREFIX}|g; \
+		s|%%DATADIR%%|${STAGEDIR}${DATADIR}|g; \
+		s|%%DOCSDIR%%|${STAGEDIR}${DOCSDIR}|g; \
+		s|%%ICONV_LIB%%|${ICONV_LIB}|g; \
 		s|%%INSTALL_PROGRAM%%|${INSTALL_PROGRAM}|g; \
 		s|%%INSTALL_DATA%%|${INSTALL_DATA}|g' \
 		${FILESDIR}/Make.rules.FreeBSD > ${WRKSRC}/cpp/config/Make.rules.FreeBSD
@@ -83,8 +107,19 @@ post-patch:
 		${WRKSRC}/cpp/config/Make.rules
 	@${REINPLACE_CMD} 's|INSTALL_PROGRAM|INSTALL_DATA|g' \
 		${WRKSRC}/cpp/src/ca/Makefile
-	@${REINPLACE_CMD} '/LICENSE/s/prefix/install_slicedir/' \
+	@${REINPLACE_CMD} '/LICENSE/s/prefix/install_slicedir/; \
+		s|%%INSTALL_PROGRAM%%|${INSTALL_PROGRAM}|g; ' \
 		${WRKSRC}/config/Make.common.rules
+	@${REINPLACE_CMD} 's|%%INSTALL_PROGRAM%%|${INSTALL_PROGRAM}|g; \
+		s|%%INSTALL_DATA%%|${INSTALL_DATA}|g; \
+		s|%%ICONV_LIB%%|${ICONV_LIB}|g; \
+		s|%%PYTHON_SITELIBDIR%%|${STAGEDIR}${PYSITEDIR}|g; \
+		s|%%PREFIX%%|${PREFIX}|g ; \
+		s|%%LOCALBASE%%|${LOCALBASE}|g' ${WRKSRC}/py/config/Make.rules
+	@${REINPLACE_CMD} 's|%%INSTALL_PROGRAM%%|${INSTALL_PROGRAM}|g; \
+		s|%%INSTALL_DATA%%|${INSTALL_DATA}|g; \
+		s|%%PREFIX%%|${PREFIX}|g ; \
+		s|%%LOCALBASE%%|${LOCALBASE}|g' ${WRKSRC}/php/config/Make.rules.php
 
 .if ${PORT_OPTIONS:MTESTS}
 TEST_CMD=		@cd ${BUILD_WRKSRC} && ${PYTHON_CMD} ./allTests.py
@@ -94,4 +129,4 @@ regression-test test: build
 	${TEST_CMD}
 .endif
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>

Modified: head/devel/ice/distinfo
==============================================================================
--- head/devel/ice/distinfo	Thu Jan  9 00:21:10 2014	(r339195)
+++ head/devel/ice/distinfo	Thu Jan  9 01:57:20 2014	(r339196)
@@ -1,2 +1,2 @@
-SHA256 (Ice-3.5.0.tar.gz) = bbde6b5a87f5abc8d9105468731f1419829bc22b5d23b8fdef553967a2eebdb0
-SIZE (Ice-3.5.0.tar.gz) = 4790555
+SHA256 (Ice-3.5.1.tar.gz) = 989e51194c6adadbd156da3288e37bad847b93b3b876502e83033b70493af392
+SIZE (Ice-3.5.1.tar.gz) = 4799296

Modified: head/devel/ice/files/Make.rules.FreeBSD
==============================================================================
--- head/devel/ice/files/Make.rules.FreeBSD	Thu Jan  9 00:21:10 2014	(r339195)
+++ head/devel/ice/files/Make.rules.FreeBSD	Thu Jan  9 01:57:20 2014	(r339196)
@@ -1,6 +1,6 @@
 mkshlib                 = $(CXX) -shared $(LDFLAGS) -o $(1) -Wl,-h,$(2) $(3) $(4)
 
-BASELIBS		= -lIceUtil -pthread -L$(LOCALBASE)/lib -liconv
+BASELIBS		= -lIceUtil -pthread -L$(LOCALBASE)/lib %%ICONV_LIB%%
 LIBS			= -lIce $(BASELIBS) 
 
 ICEUTIL_OS_LIBS         = -pthread
@@ -19,3 +19,4 @@ EXPAT_HOME		= $(LOCALBASE)
 INSTALL			= %%INSTALL_DATA%%
 INSTALL_PROGRAM		= %%INSTALL_PROGRAM%%
 MCPP_HOME		= $(LOCALBASE)
+override DESTDIR	=

Modified: head/devel/ice/files/patch-config-Make.common.rules
==============================================================================
--- head/devel/ice/files/patch-config-Make.common.rules	Thu Jan  9 00:21:10 2014	(r339195)
+++ head/devel/ice/files/patch-config-Make.common.rules	Thu Jan  9 01:57:20 2014	(r339196)
@@ -1,18 +1,45 @@
 --- config.orig/Make.common.rules	2013-05-20 22:21:58.666286011 +0000
 +++ config/Make.common.rules	2013-05-20 22:20:50.897196090 +0000
-@@ -378,11 +378,15 @@
+@@ -19,7 +19,7 @@
+ SHORT_VERSION           = 3.4
+ SOVERSION		= 34
+ 
+-INSTALL			= cp -fp
++INSTALL			= %%INSTALL_PROGRAM%%
+ INSTALL_PROGRAM		= ${INSTALL}
+ INSTALL_LIBRARY		= ${INSTALL}
+ INSTALL_DATA		= ${INSTALL}
+@@ -386,11 +386,15 @@
  	then \
- 	    echo "Creating $(install_slicedir)..." ; \
- 	    $(call mkdir, $(install_slicedir)) ; \
+ 	    echo "Creating $(DESTDIR)$(install_slicedir)..." ; \
+ 	    $(call mkdir, $(DESTDIR)$(install_slicedir), -p) ; \
 +	fi
 +
-+	@if test -d $(install_slicedir) ; \
++	@if test -d $(DESTDIR)$(install_slicedir) ; \
 +	then \
  	    cd $(top_srcdir)/../slice ; \
  	    for subdir in * ; \
  	    do \
- 	        echo "Copying slice/$$subdir to $(install_slicedir)..." ; \
- 	        cp -fpr $$subdir $(install_slicedir) ; \
+ 	        echo "Copying slice/$$subdir to $(DESTDIR)$(install_slicedir)..." ; \
+ 	        cp -fpr $$subdir $(DESTDIR)$(install_slicedir) ; \
  	    done ; \
 -	    fi
 +	fi
+ 
+@@ -410,12 +410,12 @@
+     fi
+ 
+ 
+-	@if test ! -f $(DESTDIR)$(prefix)/CHANGES$(TEXT_EXTENSION) ; \
++	@if test ! -f $(DESTDIR)$(install_slicedir)/CHANGES$(TEXT_EXTENSION) ; \
+ 	then \
+-		$(call installdata,$(top_srcdir)/../CHANGES$(TEXT_EXTENSION),$(DESTDIR)$(prefix)) ; \
++		$(call installdata,$(top_srcdir)/../CHANGES$(TEXT_EXTENSION),$(DESTDIR)$(install_slicedir)) ; \
+ 	fi
+ 
+-	@if test ! -f $(DESTDIR)$(prefix)/RELEASE_NOTES$(TEXT_EXTENSION) ; \
++	@if test ! -f $(DESTDIR)$(install_slicedir)/RELEASE_NOTES$(TEXT_EXTENSION) ; \
+ 	then \
+-		$(call installdata,$(top_srcdir)/../RELEASE_NOTES$(TEXT_EXTENSION),$(DESTDIR)$(prefix)) ; \
++		$(call installdata,$(top_srcdir)/../RELEASE_NOTES$(TEXT_EXTENSION),$(DESTDIR)$(install_slicedir)) ; \
+ 	fi

Modified: head/devel/ice/files/patch-cpp-Makefile
==============================================================================
--- head/devel/ice/files/patch-cpp-Makefile	Thu Jan  9 00:21:10 2014	(r339195)
+++ head/devel/ice/files/patch-cpp-Makefile	Thu Jan  9 01:57:20 2014	(r339196)
@@ -17,7 +17,7 @@
  endif
 +endif
 +
-+ifeq ($(NOPORTDOCS),)
++ifeq ($(NOICEDOCS),)
 +SUBDIRS		:= $(SUBDIRS) doc
 +endif
 +

Modified: head/devel/ice/files/patch-cpp-allTests.py
==============================================================================
--- head/devel/ice/files/patch-cpp-allTests.py	Thu Jan  9 00:21:10 2014	(r339195)
+++ head/devel/ice/files/patch-cpp-allTests.py	Thu Jan  9 01:57:20 2014	(r339196)
@@ -9,6 +9,15 @@
      ("Ice/defaultServant", ["core"]),
      ("Ice/defaultValue", ["core"]),
      ("Ice/invoke", ["core", "novc6"]),
+@@ -85,7 +85,7 @@
+     ("IceStorm/federation2", ["service", "novc90", "nomingw"]),
+     ("IceStorm/stress", ["service", "stress", "novc90", "noappverifier", "nomingw"]), # Too slow with appverifier.
+     ("IceStorm/rep1", ["service", "novc90", "nomingw"]),
+-    ("IceStorm/repgrid", ["service", "novc90", "nomingw"]),
++    ("IceStorm/repgrid", ["service", "novc90", "nomingw", "nofreebsd"]),
+     ("IceStorm/repstress", ["service", "noipv6", "stress", "novc90", "nomingw"]),
+     ("FreezeScript/dbmap", ["once", "novc90", "nomingw"]),
+     ("FreezeScript/evictor", ["once", "novc90", "nomingw"]),
 @@ -106,8 +107,8 @@
  #
  if TestUtil.isWin32() or os.getuid() == 0:

Modified: head/devel/ice/files/patch-cpp-src-slice2cpp-Gen.cpp
==============================================================================
--- head/devel/ice/files/patch-cpp-src-slice2cpp-Gen.cpp	Thu Jan  9 00:21:10 2014	(r339195)
+++ head/devel/ice/files/patch-cpp-src-slice2cpp-Gen.cpp	Thu Jan  9 01:57:20 2014	(r339196)
@@ -1,13 +1,44 @@
 --- cpp.orig/src/slice2cpp/Gen.cpp	2013-03-11 15:19:46.000000000 +0000
 +++ cpp/src/slice2cpp/Gen.cpp	2013-05-20 19:51:48.109197053 +0000
-@@ -385,6 +385,10 @@
-         H << "\n#include <Ice/Proxy.h>";
-         H << "\n#include <Ice/OutgoingAsync.h>";
-     }
-+    else if(p->hasNonLocalClassDecls())
-+    {
-+        H << "\n#include <Ice/Proxy.h>";
-+    }
+@@ -756,10 +756,11 @@
+ 
+         C << sp << nl << "class " << factoryName << "__Init";
+         C << sb;
++        C << nl << "IceInternal::FactoryTableInit* _ftableinit;";
+         C.dec();
+         C << nl << "public:";
+         C.inc();
+-        C << sp << nl << factoryName << "__Init()";
++        C << sp << nl << factoryName << "__Init(): _ftableinit(new IceInternal::FactoryTableInit)";
+         C << sb;
+         C << nl << "::IceInternal::factoryTable->addExceptionFactory(\"" << p->scoped() << "\", new "
+           << factoryName << ");";
+@@ -767,6 +768,7 @@
+         C << sp << nl << "~" << factoryName << "__Init()";
+         C << sb;
+         C << nl << "::IceInternal::factoryTable->removeExceptionFactory(\"" << p->scoped() << "\");";
++        C << nl << "delete _ftableinit;";
+         C << eb;
+         C << eb << ';';
+ 
+@@ -3976,10 +3978,11 @@
+             C << sp;
+             C << nl << "class " << factoryName << "__Init";
+             C << sb;
++            C << nl << "IceInternal::FactoryTableInit* _ftableinit;";
+             C.dec();
+             C << nl << "public:";
+             C.inc();
+-            C << sp << nl << factoryName << "__Init()";
++            C << sp << nl << factoryName << "__Init(): _ftableinit(new IceInternal::FactoryTableInit)";
+             C << sb;
+             if(!p->isAbstract())
+             {
+@@ -4002,6 +4005,7 @@
+             {
+                 C << nl << "::IceInternal::factoryTable->removeTypeId(" << p->compactId() << ");";
+             }
++            C << nl << "delete _ftableinit;";
+             C << eb;
+             C << eb << ';';
  
-     if(p->hasNonLocalDataOnlyClasses() || p->hasNonLocalExceptions())
-     {

Added: head/devel/ice/files/patch-php-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/ice/files/patch-php-Makefile	Thu Jan  9 01:57:20 2014	(r339196)
@@ -0,0 +1,11 @@
+--- php/Makefile.orig	2013-10-04 15:48:15.000000000 +0000
++++ php/Makefile	2013-12-01 21:19:31.863489109 +0000
+@@ -14,7 +14,7 @@
+ SUBDIRS		= src lib demo test
+ INSTALL_SUBDIRS = $(install_phpdir) $(install_libdir)
+ 
+-install:: install-common
++install::
+ 	@for subdir in $(INSTALL_SUBDIRS); \
+ 	do \
+ 	    if test ! -d $(DESTDIR)$$subdir ; \

Added: head/devel/ice/files/patch-php-config-Make.rules.php
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/ice/files/patch-php-config-Make.rules.php	Thu Jan  9 01:57:20 2014	(r339196)
@@ -0,0 +1,23 @@
+--- php/config/Make.rules.php.orig	2013-03-11 15:19:47.000000000 +0000
++++ php/config/Make.rules.php	2013-06-02 14:36:13.744196194 +0000
+@@ -100,8 +100,8 @@
+ endif
+ 
+ libdir			= $(top_srcdir)/lib
+ ifneq ($(prefix), /usr)
+-install_phpdir      = $(prefix)/php
+-install_libdir      = $(prefix)/php
++install_phpdir		= $(prefix)/share/pear
++install_libdir		= $(prefix)/lib/php/$(PHP_EXT_DIR)
+ else
+
+@@ -155,7 +155,8 @@
+ endif
+ 
+ ifeq ($(installphplib),)
+-    installphplib	= $(INSTALL) $(1) $(2); \
++    installphplib	= mkdir -p $(2) ; \
++			  $(INSTALL) $(1) $(2); \
+ 			  chmod a+rx $(2)/$(notdir $(1))
+ endif
+ 

Added: head/devel/ice/files/patch-php-lib-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/ice/files/patch-php-lib-Makefile	Thu Jan  9 01:57:20 2014	(r339196)
@@ -0,0 +1,12 @@
+--- php/lib/Makefile.orig	2013-06-02 12:11:06.451195440 +0000
++++ php/lib/Makefile	2013-06-02 12:16:29.249191742 +0000
+@@ -167,7 +167,8 @@
+ 	@echo "Installing generated code"
+ 	@for i in $(MODULES) ; \
+ 	do \
+-	    $(INSTALL_DATA) -r $$i $(DESTDIR)$(install_phpdir) ; \
++	    mkdir -p $(DESTDIR)$(install_phpdir)/$$i ; \
++	    $(INSTALL_DATA) $$i/*.php $(DESTDIR)$(install_phpdir)/$$i ; \
+ 	done
+ 	@for i in $(MODULE_SRCS) ; \
+ 	do \

Added: head/devel/ice/files/patch-py-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/ice/files/patch-py-Makefile	Thu Jan  9 01:57:20 2014	(r339196)
@@ -0,0 +1,11 @@
+--- py/Makefile.orig	2013-10-04 15:48:15.000000000 +0000
++++ py/Makefile	2013-12-01 16:37:09.381657035 +0000
+@@ -15,7 +15,7 @@
+ 
+ INSTALL_SUBDIRS = $(install_pythondir) $(install_libdir)
+ 
+-install:: install-common
++install::
+ 	@for subdir in $(INSTALL_SUBDIRS); \
+ 	do \
+ 	    if test ! -d $(DESTDIR)$$subdir ; \

Added: head/devel/ice/files/patch-py-config-Make.rules
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/ice/files/patch-py-config-Make.rules	Thu Jan  9 01:57:20 2014	(r339196)
@@ -0,0 +1,41 @@
+--- py/config/Make.rules.orig	2013-03-11 15:19:47.000000000 +0000
++++ py/config/Make.rules	2013-05-20 14:21:13.335195726 +0000
+@@ -12,7 +12,8 @@
+ # if it does not exist.
+ #
+ 
+-prefix			?= /opt/Ice-$(VERSION)
++ICE_HOME		= %%LOCALBASE%%
++prefix			?= %%PREFIX%%
+ 
+ #
+ # The "root directory" for runpath embedded in executables. Can be unset
+@@ -96,8 +97,8 @@
+ 
+ libdir                  = $(top_srcdir)/python
+ ifneq ($(prefix), /usr)
+-install_pythondir       = $(prefix)/python
+-install_libdir          = $(prefix)/python
++install_pythondir       = %%PYTHON_SITELIBDIR%%/Ice
++install_libdir          = %%PYTHON_SITELIBDIR%%/Ice
+ else
+     ifeq ($(shell test -d $(prefix)/$(libsubdir)/$(PYTHON_VERSION)/dist-packages && echo 0),0)
+         install_pythondir       = $(prefix)/$(libsubdir)/$(PYTHON_VERSION)/dist-packages
+@@ -128,7 +129,7 @@
+     ICE_LIB_DIR = -L$(ice_dir)/$(libsubdir)
+     ICE_FLAGS	= -I$(ice_dir)/include
+ endif
+-ICE_LIBS = $(ICE_LIB_DIR) -lIce -lSlice -lIceUtil
++ICE_LIBS = $(ICE_LIB_DIR) -lIce -lSlice -lIceUtil %%ICONV_LIB%%
+ 
+ ifneq ($(embedded_runpath_prefix),)
+    runpath_libdir	:= $(embedded_runpath_prefix)/$(libsubdir)
+@@ -167,7 +167,7 @@
+ 
+ all:: $(SRCS)
+ 
+-%_ice.py: $(slicedir)/%.ice
++%_ice.py: $(ICE_HOME)/%.ice
+ 	rm -f $(*F).py
+ 	$(SLICE2PY) $(SLICE2PYFLAGS) $<
+ 

Added: head/devel/ice/files/patch-py-python-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/ice/files/patch-py-python-Makefile	Thu Jan  9 01:57:20 2014	(r339196)
@@ -0,0 +1,16 @@
+--- py/python/Makefile.orig	2010-07-11 13:05:38.000000000 +1000
++++ py/python/Makefile	2012-09-11 00:09:09.000000000 +2000
+@@ -118,10 +118,11 @@
+ 
+ install:: $(ALL_SRCS)
+ 	@echo "Installing generated code"
+-	$(INSTALL_DATA) *.py $(DESTDIR)$(install_pythondir)
++	$(INSTALL_DATA) *.py* $(DESTDIR)$(install_pythondir)
+ 	@for i in $(PACKAGES) ; \
+ 	do \
+-	    $(INSTALL_DATA) -r $$i $(DESTDIR)$(install_pythondir) ; \
++	    mkdir -p $(DESTDIR)$(install_pythondir)/$$i ; \
++	    $(INSTALL_DATA) $$i/*.py* $(DESTDIR)$(install_pythondir)/$$i ; \
+ 	done
+ 
+ depend::  $(ICE_SLICE) $(GLACIER2_SLICE) $(ICEBOX_SLICE) $(ICEGRID_SLICE) $(ICEPATCH2_SLICE) $(ICESTORM_SLICE)

Added: head/devel/ice/files/patch-py-test-Ice-info-AllTests.py
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/ice/files/patch-py-test-Ice-info-AllTests.py	Thu Jan  9 01:57:20 2014	(r339196)
@@ -0,0 +1,79 @@
+--- py/test/Ice/info/AllTests.py.orig	2013-03-11 15:19:47.000000000 +0000
++++ py/test/Ice/info/AllTests.py	2013-05-20 14:25:56.860196743 +0000
+@@ -7,12 +7,31 @@
+ #
+ # **********************************************************************
+ 
+-import Ice, Test, sys, threading
++import Ice, Test, sys, threading, subprocess
+ 
+ def test(b):
+     if not b:
+         raise RuntimeError('test assertion failed')
+ 
++def isFreeBSD():
++    return sys.platform.startswith("freebsd")
++
++def sysctl(key):
++    p = subprocess.Popen("sysctl "+key, shell=1, stdout=subprocess.PIPE)
++    try:
++        result = p.communicate()[0].strip().split()[1]
++    except IndexError:
++        return 0    
++    if sys.version_info >= (3,):
++        result = str(result, sys.stdout.encoding)
++    try:
++        return int(result)
++    except ValueError:
++        return result
++
++def isFreeBSDJail():
++    return isFreeBSD() and sysctl("security.jail.jailed")
++
+ def allTests(communicator, collocated):
+     sys.stdout.write("testing proxy endpoint information... ")
+     sys.stdout.flush()
+@@ -67,12 +86,12 @@
+ 
+     ipEndpoint = endpoints[0].getInfo()
+     test(ipEndpoint.type() == Ice.TCPEndpointType or ipEndpoint.type() == 2)
+-    test(ipEndpoint.host == defaultHost)
++    test(ipEndpoint.host == defaultHost or isFreeBSDJail())
+     test(ipEndpoint.port > 0)
+     test(ipEndpoint.timeout == 15000)
+ 
+     udpEndpoint = endpoints[1].getInfo()
+-    test(udpEndpoint.host == defaultHost)
++    test(udpEndpoint.host == defaultHost or isFreeBSDJail())
+     test(udpEndpoint.datagram())
+     test(udpEndpoint.port > 0)
+ 
+@@ -108,7 +127,7 @@
+     ipinfo = base.ice_getConnection().getEndpoint().getInfo()
+     test(ipinfo.port == 12010)
+     test(not ipinfo.compress)
+-    test(ipinfo.host == defaultHost)
++    test(ipinfo.host == defaultHost or isFreeBSDJail())
+ 
+     ctx = testIntf.getEndpointInfoAsContext()
+     test(ctx["host"] == ipinfo.host)
+@@ -118,7 +137,7 @@
+ 
+     udp = base.ice_datagram().ice_getConnection().getEndpoint().getInfo()
+     test(udp.port == 12010)
+-    test(udp.host == defaultHost)
++    test(udp.host == defaultHost or isFreeBSDJail())
+ 
+     print("ok")
+ 
+@@ -129,8 +148,8 @@
+     test(not info.incoming)
+     test(len(info.adapterName) == 0)
+     test(info.remotePort == 12010)
+-    test(info.remoteAddress == defaultHost)
+-    test(info.localAddress == defaultHost)
++    test(info.remoteAddress == defaultHost or isFreeBSDJail())
++    test(info.localAddress == defaultHost or isFreeBSDJail())
+ 
+     ctx = testIntf.getConnectionInfoAsContext()
+     test(ctx["incoming"] == "true")

Modified: head/devel/ice/pkg-plist
==============================================================================
--- head/devel/ice/pkg-plist	Thu Jan  9 00:21:10 2014	(r339195)
+++ head/devel/ice/pkg-plist	Thu Jan  9 01:57:20 2014	(r339196)
@@ -108,6 +108,8 @@ include/Ice/Metrics.h
 include/Ice/MetricsAdminI.h
 include/Ice/MetricsFunctional.h
 include/Ice/MetricsObserverI.h
+include/Ice/NativePropertiesAdmin.h
+include/Ice/NetworkF.h
 include/Ice/Object.h
 include/Ice/ObjectAdapter.h
 include/Ice/ObjectAdapterF.h
@@ -230,50 +232,74 @@ include/Slice/RubyUtil.h
 include/Slice/Util.h
 lib/ImportKey.class
 lib/libFreeze.so
-lib/libFreeze.so.3.5.0
+lib/libFreeze.so.3.5.1
 lib/libFreeze.so.35
 lib/libGlacier2.so
-lib/libGlacier2.so.3.5.0
+lib/libGlacier2.so.3.5.1
 lib/libGlacier2.so.35
 lib/libIce.so
-lib/libIce.so.3.5.0
+lib/libIce.so.3.5.1
 lib/libIce.so.35
 lib/libIceBox.so
-lib/libIceBox.so.3.5.0
+lib/libIceBox.so.3.5.1
 lib/libIceBox.so.35
 lib/libIceDB.so
-lib/libIceDB.so.3.5.0
+lib/libIceDB.so.3.5.1
 lib/libIceDB.so.35
 lib/libIceGrid.so
-lib/libIceGrid.so.3.5.0
+lib/libIceGrid.so.3.5.1
 lib/libIceGrid.so.35
 lib/libIceGridFreezeDB.so
-lib/libIceGridFreezeDB.so.3.5.0
+lib/libIceGridFreezeDB.so.3.5.1
 lib/libIceGridFreezeDB.so.35
 lib/libIcePatch2.so
-lib/libIcePatch2.so.3.5.0
+lib/libIcePatch2.so.3.5.1
 lib/libIcePatch2.so.35
 lib/libIceSSL.so
-lib/libIceSSL.so.3.5.0
+lib/libIceSSL.so.3.5.1
 lib/libIceSSL.so.35
 lib/libIceStorm.so
-lib/libIceStorm.so.3.5.0
+lib/libIceStorm.so.3.5.1
 lib/libIceStorm.so.35
 lib/libIceStormFreezeDB.so
-lib/libIceStormFreezeDB.so.3.5.0
+lib/libIceStormFreezeDB.so.3.5.1
 lib/libIceStormFreezeDB.so.35
 lib/libIceStormService.so
-lib/libIceStormService.so.3.5.0
+lib/libIceStormService.so.3.5.1
 lib/libIceStormService.so.35
 lib/libIceUtil.so
-lib/libIceUtil.so.3.5.0
+lib/libIceUtil.so.3.5.1
 lib/libIceUtil.so.35
 lib/libIceXML.so
-lib/libIceXML.so.3.5.0
+lib/libIceXML.so.3.5.1
 lib/libIceXML.so.35
 lib/libSlice.so
-lib/libSlice.so.3.5.0
+lib/libSlice.so.3.5.1
 lib/libSlice.so.35
+man/man1/dumpdb.1.gz
+man/man1/glacier2router.1.gz
+man/man1/icebox.1.gz
+man/man1/iceboxadmin.1.gz
+man/man1/iceca.1.gz
+man/man1/icegridadmin.1.gz
+man/man1/icegridnode.1.gz
+man/man1/icegridregistry.1.gz
+man/man1/icepatch2calc.1.gz
+man/man1/icepatch2client.1.gz
+man/man1/icepatch2server.1.gz
+man/man1/icestormadmin.1.gz
+man/man1/icestormmigrate.1.gz
+man/man1/slice2cpp.1.gz
+man/man1/slice2cs.1.gz
+man/man1/slice2freeze.1.gz
+man/man1/slice2freezej.1.gz
+man/man1/slice2html.1.gz
+man/man1/slice2java.1.gz
+man/man1/slice2php.1.gz
+man/man1/slice2py.1.gz
+man/man1/slice2rb.1.gz
+man/man1/transformdb.1.gz
+%%DATADIR%%/CHANGES
 %%DATADIR%%/Freeze/BackgroundSaveEvictor.ice
 %%DATADIR%%/Freeze/CatalogData.ice
 %%DATADIR%%/Freeze/Connection.ice
@@ -322,6 +348,7 @@ lib/libSlice.so.35
 %%DATADIR%%/Ice/PluginF.ice
 %%DATADIR%%/Ice/Process.ice
 %%DATADIR%%/Ice/ProcessF.ice
+%%DATADIR%%/Ice/PropertiesAdmin.ice
 %%DATADIR%%/Ice/Properties.ice
 %%DATADIR%%/Ice/PropertiesF.ice
 %%DATADIR%%/Ice/Router.ice
@@ -350,6 +377,7 @@ lib/libSlice.so.35
 %%DATADIR%%/IceStorm/IceStorm.ice
 %%DATADIR%%/IceStorm/Metrics.ice
 %%DATADIR%%/LICENSE
+%%DATADIR%%/RELEASE_NOTES
 %%DATADIR%%/config/convertssl.py
 %%DATADIR%%/config/icegrid-slice.3.1.ice.gz
 %%DATADIR%%/config/icegrid-slice.3.2.ice.gz

Modified: head/devel/php5-ice/Makefile
==============================================================================
--- head/devel/php5-ice/Makefile	Thu Jan  9 00:21:10 2014	(r339195)
+++ head/devel/php5-ice/Makefile	Thu Jan  9 01:57:20 2014	(r339196)
@@ -1,10 +1,7 @@
 # Created by: DIrk Ye <dirk.ye@gmail.com>
 # $FreeBSD$
 
-PORTNAME=	Ice
-PORTVERSION=	3.5.0
 CATEGORIES=	devel
-MASTER_SITES=	http://download.zeroc.com/Ice/3.5/
 PKGNAMEPREFIX=	php5-
 
 MAINTAINER=	freebsd@grem.de
@@ -12,15 +9,20 @@ COMMENT=	Ice (Internet Communications En
 
 LICENSE=	GPLv2
 
-BUILD_DEPENDS=	mcpp:${PORTSDIR}/devel/mcpp
+BUILD_DEPENDS=	mcpp:${PORTSDIR}/devel/mcpp \
+		slice2php:${PORTSDIR}/devel/ice
 LIB_DEPENDS=	Ice.${LIB_VRS}:${PORTSDIR}/devel/ice
 
 OPTIONS_DEFINE=	DEBUG DOCS NAMESPACES
+OPTIONS_DEFAULT=
 NAMESPACES_DESC=	Use PHP namespaces (recommended)
 
-USE_GMAKE=	yes
-MAKE_ARGS+=	PHP_EXT_DIR=${PHP_EXT_DIR} ICE_HOME=${PREFIX} \
-		PHP_HOME=${PREFIX} OPTIMIZE=yes
+SLAVE_PORT=	yes
+MASTERDIR=	${.CURDIR}/../ice
+PLIST=		${.CURDIR}/pkg-plist
+
+MAKE_ARGS+=	PHP_EXT_DIR=${PHP_EXT_DIR} ICE_HOME=${LOCALBASE} \
+		PHP_HOME=${LOCALBASE} OPTIMIZE=yes
 USE_PHP=	yes
 USE_PHP_BUILD=	yes
 DEFAULT_PHP_VER=5
@@ -31,53 +33,8 @@ INSTALL_WRKSRC=	${WRKSRC}/php
 LIB_VRS=	${PORTVERSION:S|.||g:C|0$||}
 PHP_MODNAME?=	IcePHP
 
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
-
-CFLAGS+=	-ftemplate-depth-128 -fPIC -DPIC -Wall -D_REENTRANT
-.if ${PORT_OPTIONS:MDEBUG}
-CFLAGS+=	-g
-.else
-CFLAGS+=	-DNDEBUG
-.endif
-
-.if ${ARCH} == "ia64"
-BROKEN=		does not compile on ia64
-.endif
-
-.if ((${ARCH} != i386) && (${ARCH} != powerpc))
-MAKE_ENV=	LP64=yes
-.endif
-
-.if ${PORT_OPTIONS:MNAMESPACES}
-MAKE_ARGS+=	USE_NAMESPACES=yes
-PLIST_SUB+=	NAMESPACES=""
-PLIST_SUB+=	NONAMESPACES="@comment "
-.else
-PLIST_SUB+=	NAMESPACES="@comment "
-PLIST_SUB+=	NONAMESPACES=""
-.endif
-
-.if empty(PORT_OPTIONS:MDOCS)
-MAKE_ENV+=	NOPORTDOCS=yes
-.endif
-
-post-patch:
-	@${SED} 's|%%PREFIX%%|${PREFIX}|g; \
-		s|%%DATADIR%%|${DATADIR}|g; \
-		s|%%DOCSDIR%%|${DOCSDIR}|g; \
-		s|%%INSTALL_PROGRAM%%|${INSTALL_PROGRAM}|g; \
-		s|%%INSTALL_DATA%%|${INSTALL_DATA}|g' \
-		${FILESDIR}/Make.rules.FreeBSD > ${WRKSRC}/cpp/config/Make.rules.FreeBSD
-	@${REINPLACE_CMD} 's|%%INSTALL_PROGRAM%%|${INSTALL_PROGRAM}|g; \
-		s|%%INSTALL_DATA%%|${INSTALL_DATA}|g; \
-		s|%%PREFIX%%|${PREFIX}|g ; \
-		s|%%LOCALBASE%%|${LOCALBASE}|g' ${WRKSRC}/php/config/Make.rules.php
-
 post-install:
-	@${MKDIR} ${PREFIX}/etc/php
-	@${ECHO_CMD} extension=${PHP_MODNAME}.so \
-		>> ${PREFIX}/etc/php/extensions.ini
+	@${MKDIR} ${STAGEDIR}${PREFIX}/etc/php
 
 add-plist-info:
 	@${ECHO_CMD} "@exec mkdir -p %D/etc/php" \
@@ -105,4 +62,4 @@ security-check:
 	@${ECHO_CMD} ""
 	@${ECHO_CMD} "****************************************************************************"
 
-.include <bsd.port.mk>
+.include "${MASTERDIR}/Makefile"

Modified: head/devel/php5-ice/pkg-plist
==============================================================================
--- head/devel/php5-ice/pkg-plist	Thu Jan  9 00:21:10 2014	(r339195)
+++ head/devel/php5-ice/pkg-plist	Thu Jan  9 01:57:20 2014	(r339196)
@@ -38,6 +38,7 @@ share/pear/Ice/PluginF.php
 share/pear/Ice/Process.php
 share/pear/Ice/ProcessF.php
 share/pear/Ice/Properties.php
+share/pear/Ice/PropertiesAdmin.php
 share/pear/Ice/PropertiesF.php
 share/pear/Ice/Router.php
 share/pear/Ice/RouterF.php
@@ -72,3 +73,5 @@ share/pear/IceStorm/Metrics.php
 @dirrmtry share/pear/IceStorm
 @dirrmtry share/pear
 @dirrmtry lib/php/%%PHP_EXT_DIR%%
+@dirrmtry lib/php
+@dirrmtry etc/php

Modified: head/devel/py-ice/Makefile
==============================================================================
--- head/devel/py-ice/Makefile	Thu Jan  9 00:21:10 2014	(r339195)
+++ head/devel/py-ice/Makefile	Thu Jan  9 01:57:20 2014	(r339196)
@@ -1,10 +1,7 @@
 # Created by: Boris B. Samorodov <bsam@ipt.ru>
 # $FreeBSD$
 
-PORTNAME=	Ice
-PORTVERSION=	3.5.0
 CATEGORIES=	devel python
-MASTER_SITES=	http://download.zeroc.com/Ice/3.5/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
 MAINTAINER=	freebsd@grem.de
@@ -12,17 +9,20 @@ COMMENT=	Ice (Internet Communications En
 
 LICENSE=	GPLv2
 
-BUILD_DEPENDS=	mcpp:${PORTSDIR}/devel/mcpp
+BUILD_DEPENDS=	mcpp:${PORTSDIR}/devel/mcpp \
+		slice2py:${PORTSDIR}/devel/ice
 LIB_DEPENDS=	Ice.${LIB_VRS}:${PORTSDIR}/devel/ice
 
-USE_GMAKE=	yes
 USE_PYTHON=	yes
+SLAVE_PORT=	yes
+MASTERDIR=	${.CURDIR}/../ice
+PLIST=		${.CURDIR}/pkg-plist
+
 BUILD_WRKSRC=	${WRKSRC}/py
 INSTALL_WRKSRC=	${WRKSRC}/py
 
-LIB_VRS=	${PORTVERSION:S|.||g:C|0$||}
+LIB_VRS=	${PORTVERSION:S|.||g:C|[0-9]$||}
 PLIST_SUB=	LIB_VERSION="${PORTVERSION}" LIB_VRS="${LIB_VRS}"
-MAKE_ENV=	ICE_HOME="${LOCALBASE}/share/Ice"
 
 # bypass infrastructure bug (taken from www/py-django)
 OPTIONSFILE=	${PORT_DBDIR}/py-${PORTNAME}/options
@@ -30,69 +30,11 @@ OPTIONS_DEFINE=	DEBUG DOCS TESTS
 OPTIONS_DEFAULT=TESTS
 TESTS_DESC=	Run tests
 
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
-
-CFLAGS+=	-ftemplate-depth-128 -fPIC -DPIC -Wall -D_REENTRANT
-.if empty(PORT_OPTIONS:MDEBUG)
-CFLAGS+=	-DNDEBUG
-.endif
-
-.if ${ARCH} == "ia64"
-BROKEN=		does not compile on ia64
-.endif
-
-.if ((${ARCH} != i386) && (${ARCH} != powerpc))
-MAKE_ENV=	LP64=yes
-.endif
-
-.if empty(PORT_OPTIONS:MDOCS)
-MAKE_ENV+=	NOPORTDOCS=yes
-.endif
-
-.include <bsd.port.pre.mk>
-
-.if ${PYTHON_REL} >= 320
-PLIST_SUB+=	PYTHON32=""
-PLIST_SUB+=	PYTHONPRE32="@comment "
-.else
-PLIST_SUB+=	PYTHON32="@comment "
-PLIST_SUB+=	PYTHONPRE32=""
-.endif
-
-PLIST_SUB+=	PYTHON_SUFFIX=${PYTHON_SUFFIX}
-
-post-patch:
-	@${SED} 's|%%PREFIX%%|${PREFIX}|g; \
-		s|%%DATADIR%%|${DATADIR}|g; \
-		s|%%DOCSDIR%%|${DOCSDIR}|g; \
-		s|%%INSTALL_PROGRAM%%|${INSTALL_PROGRAM}|g; \
-		s|%%INSTALL_DATA%%|${INSTALL_DATA}|g' \
-		${FILESDIR}/Make.rules.FreeBSD > ${WRKSRC}/cpp/config/Make.rules.FreeBSD
-	@${REINPLACE_CMD} 's|%%INSTALL_PROGRAM%%|${INSTALL_PROGRAM}|g; \
-		s|%%INSTALL_DATA%%|${INSTALL_DATA}|g; \
-		s|%%PYTHON_SITELIBDIR%%|${PYTHON_SITELIBDIR}|g; \
-		s|%%PREFIX%%|${PREFIX}|g ; \
-		s|%%LOCALBASE%%|${LOCALBASE}|g' ${WRKSRC}/py/config/Make.rules
-	@${REINPLACE_CMD} 's|.(ice_dir).slice|${DATADIR}|g; \
-		s|.(prefix).slice|${DATADIR}|g; \
-		s|.(prefix).[ICE_]*LICENSE|${DATADIR}/LICENSE|g;' \
-		${WRKSRC}/config/Make.common.rules
-
 post-install:
-	${ECHO} "Ice" > ${PYTHON_SITELIBDIR}/Ice.pth
-	@${PYTHON_CMD} ${PYTHON_LIBDIR}/compileall.py ${PYTHON_SITELIBDIR}/Ice
-	@${PYTHON_CMD} -O ${PYTHON_LIBDIR}/compileall.py ${PYTHON_SITELIBDIR}/Ice
-
-.if ${PORT_OPTIONS:MTESTS}
-TEST_CMD=	@cd ${BUILD_WRKSRC} && ${PYTHON_CMD} ./allTests.py
-.endif
-
-.if ${PORT_OPTIONS:MTESTS}
-post-build:
-	${TEST_CMD}
-regression-test test: build
-	${TEST_CMD}
-.endif
+	${ECHO} "Ice" > ${STAGEDIR}${PYSITEDIR}/Ice.pth
+	@${FIND} ${STAGEDIR}${PYSITEDIR}/Ice \( -name "*.pyc" -or -name "*.pyo" \) \
+		-exec ${CHMOD} u+w {} \;
+	@${PYTHON_CMD} -m compileall ${STAGEDIR}${PYSITEDIR}/Ice
+	@${PYTHON_CMD} -O -m compileall ${STAGEDIR}${PYSITEDIR}/Ice
 
-.include <bsd.port.post.mk>
+.include "${MASTERDIR}/Makefile"

Modified: head/devel/py-ice/pkg-plist
==============================================================================
--- head/devel/py-ice/pkg-plist	Thu Jan  9 00:21:10 2014	(r339195)
+++ head/devel/py-ice/pkg-plist	Thu Jan  9 01:57:20 2014	(r339196)
@@ -115,6 +115,8 @@
 %%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_ProcessF_ice.cpython-%%PYTHON_SUFFIX%%.pyo
 %%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Process_ice.cpython-%%PYTHON_SUFFIX%%.pyc
 %%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Process_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_PropertiesAdmin_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_PropertiesAdmin_ice.cpython-%%PYTHON_SUFFIX%%.pyo
 %%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_PropertiesF_ice.cpython-%%PYTHON_SUFFIX%%.pyc
 %%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_PropertiesF_ice.cpython-%%PYTHON_SUFFIX%%.pyo
 %%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Properties_ice.cpython-%%PYTHON_SUFFIX%%.pyc
@@ -251,6 +253,8 @@
 %%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_ProcessF_ice.pyo
 %%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Process_ice.pyc
 %%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Process_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_PropertiesAdmin_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_PropertiesAdmin_ice.pyo
 %%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_PropertiesF_ice.pyc
 %%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_PropertiesF_ice.pyo
 %%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Properties_ice.pyc
@@ -332,6 +336,7 @@
 %%PYTHON_SITELIBDIR%%/Ice/Ice_Plugin_ice.py
 %%PYTHON_SITELIBDIR%%/Ice/Ice_ProcessF_ice.py
 %%PYTHON_SITELIBDIR%%/Ice/Ice_Process_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_PropertiesAdmin_ice.py
 %%PYTHON_SITELIBDIR%%/Ice/Ice_PropertiesF_ice.py
 %%PYTHON_SITELIBDIR%%/Ice/Ice_Properties_ice.py
 %%PYTHON_SITELIBDIR%%/Ice/Ice_RouterF_ice.py
@@ -354,3 +359,5 @@
 @dirrmtry %%PYTHON_SITELIBDIR%%/Ice/IceStorm
 %%PYTHON32%%@dirrmtry %%PYTHON_SITELIBDIR%%/Ice/__pycache__
 @dirrmtry %%PYTHON_SITELIBDIR%%/Ice
+@dirrmtry %%PYTHON_SITELIBDIR%%
+@dirrmtry %%PYTHON_LIBDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Matthias Andree freebsd_committer 2014-01-09 01:57:44 UTC
State Changed
From-To: open->closed

Committed. Thanks!